import java.util.ArrayList;

/**
 * Verzamelt alle informatie voor een nieuwe loonberekening
 */
public class Loonberekening {
        
    private ArrayList<Bediende> bedienden;
    
    private ArrayList<Arbeider> arbeiders;

    /**
     * Constructor
     */
    public Loonberekening() {
        bedienden = new ArrayList<Bediende> ();
        arbeiders = new ArrayList<Arbeider> ();
    }
    
    /**
     * Voeg een bediende toe aan de 'personeelslijst'
     */
    public void registreerBediende (Bediende bediende) {
        bedienden.add (bediende);
    }
    
    /**
     * Voeg een arbeider toe aan de 'personeelslijst'
     */
    public void registreerArbeider (Arbeider arbeider) {
        arbeiders.add (arbeider);
    }
    
    /**
     * Totale loonkost
     */
    public int totaleLoonkost () {
        int totaal = 0;
        for (Bediende bediende : bedienden) {
            totaal += bediende.getBerekendLoon();
        }
        for (Arbeider arbeider : arbeiders) {
            totaal += arbeider.getBerekendLoon();
        }
        return totaal;
    }
    
    /**
     * Betaaldag. Schrijft van elk personeelslid de naam
     * uit en het loon
     */
    public void betaalDag () {
        
        for (Bediende bediende : bedienden) {
            System.out.println (
                bediende.getNaam() + ": " + bediende.getBerekendLoon()
            );
        }
        for (Arbeider arbeider : arbeiders) {
            System.out.println (
                arbeider.getNaam() + ": " + arbeider.getBerekendLoon()
            );
        }
    }
    
    
}
